/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.WcUsuarios;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface WcUsuariosFacadeLocal {

    void create(WcUsuarios wcUsuarios);

    void edit(WcUsuarios wcUsuarios);

    void remove(WcUsuarios wcUsuarios);

    WcUsuarios find(Object id);

    List<WcUsuarios> findAll();

    List<WcUsuarios> findRange(int[] range);

    int count();

    WcUsuarios obtenerUsuario(String username, String password);

    String maxUser();

    public WcUsuarios ObtenerUsuario(String user);

}
